- Home
- API Enriched
- Ddos
- infraprotect
- Update ASN Prefix IRR Override.
Update ASN Prefix IRR Override.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_asn_prefixes/update-asn-prefix-irr-override';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_asn_prefixes/update-asn-prefix-irr-override \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example" }'Update Infraprotect ASN Prefix IRR Override.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace in which the infraprotect ASN prefix irr override is to be updated.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to update infraprotect ASN irr override status.
object
The name of the infraprotect ASN prefix object to be updated.
Namespace in which the infraprotect ASN prefix irr override is to be updated Required: YES.
Examplegenerated
{ "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response returned from a ASN prefix irr override update.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example